
package de.ivu.elect.presentation.wahlbeteiligung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungChangeEvent;
import de.ivu.elect.business.wahlbeteiligung.entity.Wahlbeteiligung;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractWahlbeteiligungAction extends AbstractActionEntry<Wahlbeteiligung> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungChangeEvent wahlbeteiligungChangeEvent;

  public AbstractWahlbeteiligungAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    wahlbeteiligungChangeEvent.sendChangeEvent();
  }

  @Override
  protected boolean isDisabledInternal(@Nonnull Wahlbeteiligung entity) {
    return false;
  }
}
